#include <iostream>

using namespace std;

#define FAST ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);cerr.tie(NULL)
int postoji(long int x, long int y[],long int z[],long int n){
	int i,j,b=0;
	
	for(i=0;i<n;i++){
		if(x==y[i]){
			for(j=0;j<n;j++)
				if(z[j]==i+1)
					b++;
		}
	}
	
	return b;
}

int main(){
	long int n,i,s=0,r;
	
	cin >> n;
	
	long int x[n],y[n],z[n];
	
	for(i=0;i<n;i++)
		cin >> x[i];
		
	for(i=0;i<n;i++)
		cin >> y[i];
		
	for(i=0;i<n;i++)
		cin >> z[i];
	
	for(i=0;i<n;i++){
		r=x[i];
		s+=postoji(r,y,z,n);
	}
	
	cout << s;
	return 0;
}